Bug 91023 - Telnet option -8 and -L do nothing
Telnet option -8 and -L do nothing
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: telnet (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-16 11:59 EDT by Francisco Calafat
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-29 05:23:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch fixes the problem and changes the man page accordingly (1.20 KB, patch)
2003-05-16 12:03 EDT, Francisco Calafat
no flags Details | Diff

  None (edit)
Description Francisco Calafat 2003-05-16 11:59:33 EDT
Description of problem:
Supposedly, telnet options -8 and -L should change the 8-bit/7-bit mode and
force sending TELNET BINARY option. They do neither.
Also, -7 option is not documented in the man page.

Version-Release number of selected component (if applicable):
telnet-0.17-20

How reproducible:
# telnet -8
telnet> set options on
telnet> open REMOTEHOST

==> TELNET BINARY option is never sent; the same with -L. Actually, as binary is
the default mode, this isn't changed either.
Comment 1 Francisco Calafat 2003-05-16 12:03:40 EDT
Created attachment 91727 [details]
This patch fixes the problem and changes the man page accordingly
Comment 2 Harald Hoyer 2003-05-19 09:54:41 EDT
seems like you are right! thx for your patch! Have you reported this upstream
already?

Note You need to log in before you can comment on or make changes to this bug.